List messages for ticket
curl --request GET \
--url https://api.conduit.ai/v1/tickets/{id}/messages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "yh7t5azsr0zpfpyf67vtce0j6n844y1e",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"ticket_id": "xd88mkfbmxgckpeyzs8m9r9d3d843me3",
"conversation_id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
"channel": "unthreaded_email",
"body": "Hi there, can you confirm check-in time?",
"direction": "outbound",
"status": "sent",
"sent_at": "2026-04-03T03:15:02.000Z",
"created_at": "2026-04-03T03:15:04.000Z",
"sender": {
"user_id": "m48k3v7p2q9x5t1w8r6n4j0y3u2i5o7a",
"external_id": null,
"name": "Alex M"
},
"attachments": [
{
"url": "https://files.conduit.ai/storage/kg2abc123def456",
"content_type": "image/png",
"name": "screenshot.png"
}
]
}
],
"next_cursor": null,
"has_more": false
}Tickets
List Ticket Messages
Retrieve all messages within a specific ticket thread.
GET
/
v1
/
tickets
/
{id}
/
messages
List messages for ticket
curl --request GET \
--url https://api.conduit.ai/v1/tickets/{id}/messages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "yh7t5azsr0zpfpyf67vtce0j6n844y1e",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"ticket_id": "xd88mkfbmxgckpeyzs8m9r9d3d843me3",
"conversation_id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
"channel": "unthreaded_email",
"body": "Hi there, can you confirm check-in time?",
"direction": "outbound",
"status": "sent",
"sent_at": "2026-04-03T03:15:02.000Z",
"created_at": "2026-04-03T03:15:04.000Z",
"sender": {
"user_id": "m48k3v7p2q9x5t1w8r6n4j0y3u2i5o7a",
"external_id": null,
"name": "Alex M"
},
"attachments": [
{
"url": "https://files.conduit.ai/storage/kg2abc123def456",
"content_type": "image/png",
"name": "screenshot.png"
}
]
}
],
"next_cursor": null,
"has_more": false
}Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Ticket id.
Example:
"xd88mkfbmxgckpeyzs8m9r9d3d843me3"
Query Parameters
Optional workspace override. If omitted, Conduit resolves the ticket's workspace automatically.
Example:
"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"
Required range:
1 <= x <= 100Available options:
asc, desc Was this page helpful?
⌘I